Package org.optaplanner.core.impl.score.stream.bavet.bi

## Class BavetFilterBiConstraintStream<Solution_,​A,​B>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractConstraintStream<Solution_>
  - - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractConstraintStream<Solution_>
    - - org.optaplanner.core.impl.score.stream.bavet.bi.BavetAbstractBiConstraintStream<Solution_,​A,​B>
      - - org.optaplanner.core.impl.score.stream.bavet.bi.BavetFilterBiConstraintStream<Solution_,​A,​B>

- All Implemented Interfaces:
    `BiConstraintStream<A,​B>`, `ConstraintStream`, `InnerBiConstraintStream<A,​B>`

      public final class BavetFilterBiConstraintStream<Solution_,​A,​B>
      extends BavetAbstractBiConstraintStream<Solution_,​A,​B>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.bi.BavetAbstractBiConstraintStream

      `childStreamList`

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractConstraintStream

      `constraintFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetFilterBiConstraintStream​(BavetConstraintFactory<Solution_> constraintFactory, BavetAbstractBiConstraintStream<Solution_,​A,​B> parent, BiPredicate<A,​B> predicate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected BavetFilterBiNode<A,​B>` | `createNode​(BavetNodeBuildPolicy<Solution_> buildPolicy, Score<?> constraintWeight, int nodeOrder, BavetAbstractBiNode<A,​B> parentNode)` |
    `List<BavetFromUniConstraintStream<Solution_,​Object>>` | `getFromStreamList()` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.bi.BavetAbstractBiConstraintStream

      `addChildStream, createChildNodeChains, createNodeChain, filter, getCardinality, groupBy, groupBy, groupBy, groupBy, groupBy, groupBy, ifExists, ifNotExists, impactScore, impactScore, impactScoreBigDecimal, impactScoreConfigurable, impactScoreConfigurable, impactScoreConfigurableBigDecimal, impactScoreConfigurableLong, impactScoreLong, join, processNode`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractConstraintStream

      `buildConstraint, buildConstraintConfigurable, getConstraintFactory`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.common.AbstractConstraintStream

      `buildConstraintWeightExtractor, buildConstraintWeightExtractor, impact, penalize, penalizeConfigurable, reward, rewardConfigurable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.bi.BiConstraintStream

      `ifExists, ifExists, ifExists, ifExists, ifNotExists, ifNotExists, ifNotExists, ifNotExists, impact, impactBigDecimal, impactConfigurable, impactConfigurableBigDecimal, impactConfigurableLong, impactLong, join, join, join, join, join, join, join, penalize, penalizeBigDecimal, penalizeConfigurable, penalizeConfigurableBigDecimal, penalizeConfigurableLong, penalizeLong, reward, rewardBigDecimal, rewardConfigurable, rewardConfigurableBigDecimal, rewardConfigurableLong, rewardLong`

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.ConstraintStream

      `getConstraintFactory, impact, impact, penalize, penalize, penalizeConfigurable, penalizeConfigurable, reward, reward, rewardConfigurable, rewardConfigurable`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.bi.InnerBiConstraintStream

      `impact, impactBigDecimal, impactConfigurable, impactConfigurableBigDecimal, impactConfigurableLong, impactLong, penalize, penalizeBigDecimal, penalizeConfigurable, penalizeConfigurableBigDecimal, penalizeConfigurableLong, penalizeLong, reward, rewardBigDecimal, rewardConfigurable, rewardConfigurableBigDecimal, rewardConfigurableLong, rewardLong`

- - ### Constructor Detail

    - #### BavetFilterBiConstraintStream

          public BavetFilterBiConstraintStream​(BavetConstraintFactory<Solution_> constraintFactory,
                                               BavetAbstractBiConstraintStream<Solution_,​A,​B> parent,
                                               BiPredicate<A,​B> predicate)

  - ### Method Detail

    - #### getFromStreamList

          public List<BavetFromUniConstraintStream<Solution_,​Object>> getFromStreamList()

      Specified by:
        `getFromStreamList` in class `BavetAbstractConstraintStream<Solution_>`

    - #### createNode

          protected BavetFilterBiNode<A,​B> createNode​(BavetNodeBuildPolicy<Solution_> buildPolicy,
                                                            Score<?> constraintWeight,
                                                            int nodeOrder,
                                                            BavetAbstractBiNode<A,​B> parentNode)

      Specified by:
        `createNode` in class `BavetAbstractBiConstraintStream<Solution_,​A,​B>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`